package com.muyu.common.core.enums;

import java.lang.reflect.Array;
import java.util.Arrays;

/**
 * @Author：chaiyapeng
 * @Package：com.muyu.common.core.enums
 * @Project：cloud-common-core
 * @name：SystemYesNo
 * @Date：2024/8/9 17:27
 */
public enum SystemYesNo {
    YES("Y","是"),
    NO("N","否"),;

    private final String code;

    private final String info;

    SystemYesNo(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode(){
        return code;
    }

    public String getInfo(){
        return info;
    }

    /**
     * 鉴别code是否合法
     * @param code 传code
     * @return 如果存在code则返回true，不存在则返回false
     */
    public static boolean isCode(String code){
        return Arrays.stream(values())
                .map(SystemYesNo::getCode)
                .anyMatch(s -> s.equals(code));
    }
}
